document.addEventListener("DOMContentLoaded", function(e) {
	if (mui.os.ios) {
		if (document.querySelector("#pullrefresh").clientWidth <= 320) {
			document.querySelector(".mui-bar-nav a").style.padding = "9px 6px 6px 6px";
			document.querySelector(".mui-bar-nav input").style.width = "215px";
			document.querySelector(".mui-bar-nav button").style.padding = "13px 2px 13px 0";
			document.querySelector(".mui-bar-nav button").style.marginRight = "5px";
		}
	} else {
		document.querySelector(".mui-bar-nav button").style.padding = "13px 2px 13px 0";
	}
}, false);
var label = '';
var category_id = 0;
var type = '列表';
var page = 1,
	offset = 1;
var longitude = 0,
	latitude = 0;
	
var getUp = function() {
	var listCss = document.createElement("link");
	listCss.rel = 'stylesheet';
	listCss.type = 'text/css';
	switch (listType){
		case 'product':
		    listCss.href = 'css/fuzzy_product_list.css';
		    getUpProducts_list();
			break;
		case 'article':
		    listCss.href = 'css/fuzzy_article_list.css';
		    articles_Up();
			break;
		case 'groups':
		    listCss.href = 'css/fuzzy_groups_list.css';
		    getUpProducts_StripList();
			break;
		default:
			listCss.href = 'css/fuzzy_product_list.css';
		    getUpProducts_list();
			break;
	}
	document.querySelector("head").appendChild(listCss);
}

var getDown = function() {
	switch (listType){
		case 'product':
		    getDownProducts_list();
			break;
		case 'article':
		    articles_Down();
			break;
		case 'groups':
		    getDownProducts_StripList();
			break;
		default:
			getDownProducts_list();
			break;
	}
}

mui.init({
	swipeBack: false,
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			callback: getUp,
		},
		down: {
			callback: getDown,
		},
	}
});



mui.plusReady(function() {
	if (listType=='product' && distance_btn) {
		if ((0 != getState().Lat && undefined != getState().Lat) || (0 != getState().Lon && undefined != getState().Lon)) {
				longitude = getState().Lon;
				latitude = getState().Lat;
			} else {
				mui.toast("定位中..");
				var ws = plus.nativeUI.showWaiting("", {
					back: "none"
				});
				var state = getState();
				var currentPosition = plus.geolocation.getCurrentPosition(function(p) {
					state.Lat = p.coords.latitude;
					state.Lon = p.coords.longitude;
					setState(state);
					latitude = p.coords.latitude;
					longitude = p.coords.longitude;
					ws.close()
				}, function(e) {
					mui.toast("获取位置失败");
					state.Lat = 0;
					state.Lon = 0;
					setState(state);
					ws.close()
				}, {
					timeout: 10000
				});
			}
	}
});

mui('#p5-products-list-ul').on('tap', ".litap", function() {
	if(  listType == 'product' || !listType  ){
		var title = document.querySelector('#' + this.id + ' .p5-product-name');
		pullfreshPage('product_details_frame.html', 'product_details.html', title.innerHTML, {
			object_id: this.id,
			swipeshow_id: this.name
		});
	}else if (  listType == 'groups'  ) {
		changePage("company_details.html", true, false, {
			group_id: this.id
		});
	}else {
		changePage('article_details.html', true, false, {
			article_id: this.id,
			article_name: this.querySelector('span').innerHTML
		});
	}
	
});
document.getElementById('p5-search-btn').addEventListener('tap', function() {
	document.body.querySelector('#p5-products-list-ul').innerHTML = "";
	var search = document.getElementById('p5-search-value');
	label = search.value;
	page = 1;
	offset = 1;
	mui("#pullrefresh").pullRefresh().pullupLoading();
});
window.addEventListener('keyup', function(e) {
	var keywords = document.getElementById('p5-search-value').value;
	var symbol = ['。', '、', '？', '：', '；', '！', '.', '/', '?', ':', ';', '!'];
	for (var i = 0; i < symbol.length; i++) {
		if (keywords.substring(0, keywords.indexOf(symbol[i])) != '') {
			keywords = keywords.substring(0, keywords.indexOf(symbol[i]));
		}
	}
	document.getElementById('p5-search-value').value = keywords.trim();
});
window.addEventListener('focusin', function(e) {
	var keywords = document.getElementById('p5-search-value').value;
	var symbol = ['。', '、', '？', '：', '；', '！', '.', '/', '?', ':', ';', '!'];
	for (var i = 0; i < symbol.length; i++) {
		if (keywords.substring(0, keywords.indexOf(symbol[i])) != '') {
			keywords = keywords.substring(0, keywords.indexOf(symbol[i]));
		}
	}
	document.getElementById('p5-search-value').value = keywords.trim();
});